rails5.2へアップデート方法

独習Ruby on Rails

新品価格
¥3,888から
(2019/6/16 08:31時点)


rails5.1へアップデート方法
の続編

遅ればせながら、rails5.1系にあげようと思った話


・railsのバージョン履歴
5.2.3が最新
https://rubygems.org/gems/rails/versions

・5.2系リリースノート
credential管理が追加
5.1の暗号化がこれに置き換えられるらしい
https://railsguides.jp/5_2_release_notes.html

・エラー
undefined method ‘halt_callback_chains_on_return_false=’ for ActiveSupport:Module
なので、halt_callback_chains_on_return_falseをコメントアウト
Invalid option key: raise_on_unfiltered_parameters= (RuntimeError)
なので、raise_on_unfiltered_parametersをコメントアウト
https://qiita.com/luglio22/items/0dd520f3748935bada81

・アプデコマンド

エラー出る
cannot load such file — bootsnap/setup
bootsnapのGemを追加

https://qiita.com/cyborg__ninja/items/d15b50500f4ffb069feb

さらにエラーが出る
Could not load the ‘listen’ gem. Add gem 'listen' to the development group of your Gemfile (LoadError)
listenを追加

https://suin.io/536

実行時にワーニングが出る
App 36794 stderr: /ルピー/gems/nokogiri-1.6.2.1/lib/nokogiri/html/document.rb:164: warning: constant ::Fixnum is deprecated
これが出たらnokogiriのバージョンあげましょう

 

これでRails5.2の対応終わりました
後はリリースして運用時に何もなければ・・・・・って感じ

関連記事:

Pocket